## org.eclipse.emf.ecore.sdo
Interface EDataObject

All Superinterfaces:
  DataObject, EObject, Notifier, java.io.Serializable

All Known Subinterfaces:
  EDataObjectAnyType, EDataObjectSimpleAnyType, InternalEDataObject

All Known Implementing Classes:
  DynamicEDataObjectImpl, DynamicEStoreEDataObjectImpl, EChangeSummaryImpl, EChangeSummarySettingImpl, EDataObjectAnyTypeImpl, EDataObjectImpl, EDataObjectSimpleAnyTypeImpl, EStoreEDataObjectImpl

    public interface EDataObject

extends EObject, DataObject

A representation of the model object 'EData Object'.

See Also:
  `SDOPackage.getEDataObject()`

Method Summary
`java.util.List<Property>` `getInstanceProperties()`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface commonj.sdo.DataObject

`createDataObject, createDataObject, createDataObject, createDataObject, createDataObject, createDataObject, delete, get, get, get, getBigDecimal, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBigInteger, getBoolean, getBoolean, getBoolean, getByte, getByte, getByte, getBytes, getBytes, getBytes, getChar, getChar, getChar, getContainer, getContainmentProperty, getDataGraph, getDataObject, getDataObject, getDataObject, getDate, getDate, getDate, getDouble, getDouble, getDouble, getFloat, getFloat, getFloat, getInt, getInt, getInt, getList, getList, getList, getLong, getLong, getLong, getSequence, getSequence, getSequence, getShort, getShort, getShort, getString, getString, getString, getType, isSet, isSet, isSet, set, set, set, setBigDecimal, setBigDecimal, setBigDecimal, setBigInteger, setBigInteger, setBigInteger, setBoolean, setBoolean, setBoolean, setByte, setByte, setByte, setBytes, setBytes, setBytes, setChar, setChar, setChar, setDataObject, setDataObject, setDataObject, setDate, setDate, setDate, setDouble, setDouble, setDouble, setFloat, setFloat, setFloat, setInt, setInt, setInt, setList, setList, setList, setLong, setLong, setLong, setShort, setShort, setShort, setString, setString, setString, unset, unset, unset`

Method Detail

### getInstanceProperties

    java.util.List<Property> getInstanceProperties()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.